"""Main reactive charm layer for etckeeper."""
from charmhelpers.core import hookenv

from charms.reactive import is_flag_set, when, when_not

from lib_charm_etckeeper import EtcKeeper

helper = EtcKeeper()


@when_not("apt.installed.etckeeper")
def installing_etckeeper():
    """Update status to reflect install of etckeeper."""
    hookenv.status_set("maintenance", "Installing etckeeper")


@when("apt.installed.etckeeper")
def configure_etckeeper():
    """Verify configuration."""
    if is_flag_set("config.changed") or not helper.is_initialized:
        helper.configure()
        hookenv.status_set("active", "etckeeper installed and configured")
