#!/usr/bin/python3
"""Test routines for the etckeeper helper library."""

from charmhelpers.core import unitdata


def test_pytest():
    """Test pytest."""
    assert True


def test_charmetckeeper_data(etckeeper):
    """See if the helper fixture works to load charm configs and kv data."""
    assert isinstance(etckeeper.charm_config, dict)
    assert isinstance(etckeeper.kv, unitdata.Storage)


def test_configure(etckeeper, mock_host_service, mock_check_call):
    """Test the configure routine."""
    etckeeper.charm_config["daily"] = True
    etckeeper.configure()
    assert mock_host_service.called_once_with("enable", "etckeeper.timer")
    etckeeper.charm_config["daily"] = False
    etckeeper.configure()
    assert mock_host_service.called_once_with("disable", "etckeeper.timer")
    etckeeper.charm_config["daily"] = True
    etckeeper.kv.set("etckeeper_init", None)
    etckeeper.configure()
    assert mock_host_service.called_once_with("enable", "etckeeper.timer")
    assert mock_check_call.called_once_with(["etckeeper", "init"])
